---@meta

---@class ABP_Event_C : AActor
---@field UberGraphFrame FPointerToUberGraphFrame
---@field DefaultSceneRoot USceneComponent
---@field ReoccuringTrigger boolean
---@field MinRetriggerTime double
---@field MaxRetriggerTime double
---@field InitialDelayToTrigger double
---@field MaxAmountTriggers int32
---@field CurrentAmountTriggers int32
---@field IsStopped boolean
local ABP_Event_C = {}

function ABP_Event_C:StartEvent() end
function ABP_Event_C:StopEvent() end
function ABP_Event_C:TriggerEvent() end
---@param EntryPoint int32
function ABP_Event_C:ExecuteUbergraph_BP_Event(EntryPoint) end


